using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{

    /// <summary>
    /// 提成表
    /// </summary>
    [SugarTable("Grp_Ommission")]
    public class Grp_Ommission:EntityBase
    {
        /// <summary>
        /// 员工ID
        /// </summary>
        [SugarColumn(IsNullable =true,ColumnDataType ="int")]
        public int Personnel { get; set; }
        /// <summary>
        /// 团组ID
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Diid { get; set; }
        /// <summary>
        /// 团组结束时间，即团组最后一天
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string GroupDate { get; set; }
        /// <summary>
        /// 团组级别
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string GroupLvl { get; set; }
        /// <summary>
        /// 提成明细
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(300)")]
        public string Detail { get; set; }
        /// <summary>
        /// 提成金额
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal Money { get; set; }
        /// <summary>
        /// 提成发放至工资的月份
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string WageYearMonth { get; set; }
        /// <summary>
        /// 造成损失标识
        /// 0=未造成
        /// 1=造成
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsMakeLoss { get; set; }
        /// <summary>
        /// 亏损或无利润团组
        /// 0=未亏损
        /// 1=亏损
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int IsLoss { get; set; }
    }
}
